Organization API: Billing & Payouts: Billing
The 8 Organization API operations for billing.
Part of Billing & Payouts.
Operations
Section titled Operations| Method | Path | Summary |
|---|---|---|
| GET | /api/v1/orgs/{org_slug}/billing/paynow |
Get paynow status |
| PUT | /api/v1/orgs/{org_slug}/billing/paynow |
Save org-owned PayNow store credentials (owngateway / hybrid) |
| GET | /api/v1/orgs/{org_slug}/billing/paynow/affiliates |
List paynow affiliates |
| POST | /api/v1/orgs/{org_slug}/billing/paynow/affiliates |
Create paynow affiliate |
| GET | /api/v1/orgs/{org_slug}/billing/paynow/giftcards |
List paynow giftcards |
| POST | /api/v1/orgs/{org_slug}/billing/paynow/giftcards |
Create paynow giftcard |
| GET | /api/v1/orgs/{org_slug}/billing/paynow/subscriptions |
List paynow subscriptions |
| POST | /api/v1/orgs/{org_slug}/billing/paynow/subscriptions/{subscription_id}/cancel |
Cancel paynow subscription |
Get paynow status
Section titled Get paynow statusGET /api/v1/orgs/{org_slug}/billing/paynow
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Save org-owned PayNow store credentials (owngateway / hybrid)
Section titled Save org-owned PayNow store credentials (owngateway / hybrid)PUT /api/v1/orgs/{org_slug}/billing/paynow
Save org-owned PayNow store credentials (own_gateway / hybrid).
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
Type: Body.
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List paynow affiliates
Section titled List paynow affiliatesGET /api/v1/orgs/{org_slug}/billing/paynow/affiliates
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create paynow affiliate
Section titled Create paynow affiliatePOST /api/v1/orgs/{org_slug}/billing/paynow/affiliates
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
Type: Body.
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List paynow giftcards
Section titled List paynow giftcardsGET /api/v1/orgs/{org_slug}/billing/paynow/giftcards
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Create paynow giftcard
Section titled Create paynow giftcardPOST /api/v1/orgs/{org_slug}/billing/paynow/giftcards
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Request body
Section titled Request bodyapplication/json (required)
Type: Body.
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
List paynow subscriptions
Section titled List paynow subscriptionsGET /api/v1/orgs/{org_slug}/billing/paynow/subscriptions
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Cancel paynow subscription
Section titled Cancel paynow subscriptionPOST /api/v1/orgs/{org_slug}/billing/paynow/subscriptions/{subscription_id}/cancel
Parameters
Section titled Parameters| Name | In | Type | Required |
|---|---|---|---|
subscription_id |
path | string | yes |
org_slug |
path | string | yes |
Responses
Section titled Responses| Status | Meaning |
|---|---|
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |